### org.jfree.layouting.renderer.model

# Class PlaceholderRenderNode

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.PlaceholderRenderNode`

Implemented Interfaces:
  Cloneable

`public class PlaceholderRenderNode`
`extends RenderNode`

Creation-Date: 24.10.2006, 16:13:30

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `PlaceholderRenderNode()`

  ## Method Summary

  `boolean`

  `isDiscardable()`

  `boolean`

  `isEmpty()`

  `boolean`

  `isIgnorableForRendering()`
    If that method returns true, the element will not be used for rendering.

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### PlaceholderRenderNode

    public PlaceholderRenderNode()

## Method Details

### isDiscardable

    public boolean isDiscardable()

> Overrides:
>   isDiscardable in interface RenderNode

### isEmpty

    public boolean isEmpty()

> Overrides:
>   isEmpty in interface RenderNode

### isIgnorableForRendering

    public boolean isIgnorableForRendering()

> If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

> If the element reports itself as non-empty, however, it will affect the margin computation.
> Overrides:
>   isIgnorableForRendering in interface RenderNode
> Returns: